#include <iostream>
#define endl '\n';
using namespace std;
void tllt(long long l, int a, int  b){
    long long br = 0, sm = 0;
    while(sm<=l){
        br++;
        sm+=a;
        a+=b;
    }
    cout << br << endl;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long l;
    int a, b;
    cin >> l >> a >> b;
    tllt(l , a, b);
    return 0;
}
